## qt6-location 6.8.2

=== tests/auto/qgeocodingmanager/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocodingmanager
    SOURCES
        tst_qgeocodingmanager.h tst_qgeocodingmanager.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
        Qt::Positioning
)
