=== tests/auto/qplacecontentrequest/CMakeLists.txt ===
qt_internal_add_test(tst_qplacecontentrequest
    SOURCES
        tst_qplacecontentrequest.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)
