=== tests/auto/qproposedsearchresult/CMakeLists.txt ===
qt_internal_add_test(tst_qproposedsearchresult
    SOURCES
        tst_qproposedsearchresult.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)
