## qt6-location 6.6.2

=== debian/changelog ===
qt6-location (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:26:09 +0200

qt6-location (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 15:36:20 +0100

qt6-location (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 19 Jan 2024 00:49:49 +0100

qt6-location (6.6.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1059231)

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Jan 2024 00:32:53 +0100
