## qt6-location 6.7.2

=== debian/changelog ===
qt6-location (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module-qtlocation to dev package for QML dependency
    detection.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Nov 2024 22:34:47 +0100

qt6-location (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:48:38 +0200

qt6-location (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:25:00 +0200

qt6-location (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 19:12:47 +0200
