=== tests/auto/maptype/CMakeLists.txt ===
qt_internal_add_test(tst_maptype
    SOURCES
        tst_maptype.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
)
