=== tests/auto/qplacedetailsreply/CMakeLists.txt ===
qt_internal_add_test(tst_qplacedetailsreply
    SOURCES
        tst_qplacedetailsreply.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)
