=== tests/auto/qplaceratings/CMakeLists.txt ===
qt_internal_add_test(tst_qplaceratings
    SOURCES
        tst_qplaceratings.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)
