=== src/CMakeLists.txt ===
# special case begin
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")
add_subdirectory(location)
add_subdirectory(plugins)
# special case end
