=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(mapitems_backends)
add_subdirectory(mapobjects_tester)
add_subdirectory(mappolyline_tester)
