=== tests/auto/qgeocameracapabilities/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocameracapabilities
    SOURCES
        tst_qgeocameracapabilities.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
)
