=== tests/auto/qgeocameradata/CMakeLists.txt ===
qt_internal_add_test(tst_qgeocameradata
    SOURCES
        tst_qgeocameradata.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
)
