=== debian/changelog ===
qt6-location (6.9.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add several Qt6 dev-packages as dependencies to qt6-location-dev.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Update d/watch to format version 5.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Jan 2026 18:24:50 +0100

qt6-location (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:33:51 +0100

qt6-location (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:08:52 +0200

qt6-location (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 08:38:39 +0200
